summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2012-03-01 22:40:53 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2012-03-01 22:40:53 +0000
commit88b64035e2f625f3fbd175e4e7bcfb38997581a7 (patch)
treea49713c8e74166c9a7b7fb2a1d75d72c1ee39f66 /testing
parent4162b09d9dfaff9dfc2e3b23546245fca1e8d002 (diff)
downloadaports-88b64035e2f625f3fbd175e4e7bcfb38997581a7.tar.bz2
aports-88b64035e2f625f3fbd175e4e7bcfb38997581a7.tar.xz
Initial APKBUILD for py-polib
A library to manipulate gettext files Website: http://polib.readthedocs.org/en/latest/index.html
Diffstat (limited to 'testing')
-rw-r--r--testing/py-polib/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/py-polib/APKBUILD b/testing/py-polib/APKBUILD
new file mode 100644
index 000000000..b8ef72b12
--- /dev/null
+++ b/testing/py-polib/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-polib
+_pkgname=polib
+pkgver=0.7.0
+pkgrel=0
+pkgdesc="A library to manipulate gettext files"
+url="http://polib.readthedocs.org/en/latest/index.html"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev wget"
+install=""
+subpackages=""
+source="https://bitbucket.org/izi/polib/downloads/$_pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="958f8f81ade7d2484edc25b3989fe247 polib-0.7.0.tar.gz"